Bug 440957 - TB34bf4d7c yumRepo.py:312:check:RepoError: Cannot find a valid baseurl for repo: extras-development
TB34bf4d7c yumRepo.py:312:check:RepoError: Cannot find a valid baseurl for re...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 13:38 EDT by Manny Aggarwal
Modified: 2008-06-16 23:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:05:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manny Aggarwal 2008-04-04 13:38:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; InfoPath.1; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)

Description of problem:
Component: Software Manager
Summary: TB34bf4d7c yumRepo.py:312:check:RepoError: Cannot find a valid baseurl for repo: extras-development

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 427, in <module>
    main()
  File "/usr/sbin/pirut", line 420, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 60, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 126, in __init__
    self.reset()
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 224, in reset
    self.closeRpmDB()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 295, in closeRpmDB
    self.comps = None
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 512, in <lambda>
    fset=lambda self, value: self._setGroups(value),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 437, in _setGroups
    for repo in self.repos.listGroupsEnabled():
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 492, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 335, in _getRepos
    repo.setup(self.conf.cache, self.mediagrabber)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 585, in setup
    self.baseurlSetup()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 427, in baseurlSetup
    self.check()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 312, in check
    'Cannot find a valid baseurl for repo: %s' % self.id
RepoError: Cannot find a valid baseurl for repo: extras-development

Local variables in innermost frame:
self: extras-development


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Launch Software Update
2.
3.

Actual Results:
Component: Software Manager
Summary: TB34bf4d7c yumRepo.py:312:check:RepoError: Cannot find a valid baseurl for repo: extras-development

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 427, in <module>
    main()
  File "/usr/sbin/pirut", line 420, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 60, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 126, in __init__
    self.reset()
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 224, in reset
    self.closeRpmDB()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 295, in closeRpmDB
    self.comps = None
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 512, in <lambda>
    fset=lambda self, value: self._setGroups(value),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 437, in _setGroups
    for repo in self.repos.listGroupsEnabled():
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 492, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 335, in _getRepos
    repo.setup(self.conf.cache, self.mediagrabber)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 585, in setup
    self.baseurlSetup()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 427, in baseurlSetup
    self.check()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 312, in check
    'Cannot find a valid baseurl for repo: %s' % self.id
RepoError: Cannot find a valid baseurl for repo: extras-development

Local variables in innermost frame:
self: extras-development


Expected Results:


Additional info:
Comment 1 Bug Zapper 2008-05-14 11:24:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 23:05:01 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.